Skip to main content
Announcements Announcements
Edgenuity Help Center

Powerspeak- Validating Plugins

Having issues in Powerspeak® or want to prevent them? Check your plugins. This page will show you how.
  1. Click the Help icon PS- Validating Plugins- i icon.png.
    PS- Validating Plugins- select the i icon.png
  2. Click System Requirements to see the checklist of requirements a system needs to run Powerspeak.
    PS- Validating Plugins- system requirements.png
  3. Click Audio Recording to view common issues if the audio recording is not working.
    PS- Validating Plugins- audio recording.png
  4. Use the link to test your system: http://powerspeak.edgenuity.com/pages/requirements
  • Was this article helpful?